javax.security.auth.message.callback

## Class PrivateKeyCallback.IssuerSerialNumRequest

- java.lang.Object
- - javax.security.auth.message.callback.PrivateKeyCallback.IssuerSerialNumRequest

- All Implemented Interfaces:
    PrivateKeyCallback.Request
  Enclosing class:
    PrivateKeyCallback

      public static class PrivateKeyCallback.IssuerSerialNumRequest
      extends Object
      implements PrivateKeyCallback.Request

  Request type for private keys that are identified using an issuer/serial number.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivateKeyCallback.IssuerSerialNumRequest(X500Principal issuer, BigInteger serialNumber)` Constructs a IssuerSerialNumRequest with an issuer/serial number.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `X500Principal` | `getIssuer()` Get the issuer.
    `BigInteger` | `getSerialNum()` Get the serial number.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivateKeyCallback.IssuerSerialNumRequest

          public PrivateKeyCallback.IssuerSerialNumRequest(X500Principal issuer,
                                                   BigInteger serialNumber)

      Constructs a IssuerSerialNumRequest with an issuer/serial number.

      The issuer/serial number is used to identify a public key certificate. The corresponding private key is returned in the callback. The corresponding certificate chain for the private key is also returned. If the issuer/serialNumber parameters are null, the handler of the callback relies on its own defaults.

      Parameters:
        `issuer` - The X500Principal name of the certificate issuer, or null.
        `serialNumber` - The serial number of the certificate, or null.

  - ### Method Detail

    - #### getIssuer

          public X500Principal getIssuer()

      Get the issuer.
      Returns:
        The issuer, or null.

    - #### getSerialNum

          public BigInteger getSerialNum()

      Get the serial number.
      Returns:
        The serial number, or null.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.